
from Ft.Ods import Constants


class DictionaryValueValueMixin:


    def _4ods_unprepareValue(self,value):
        Constants.g_typeCheck[self._subType](value,self._subRepoId)
        return value

    def _4ods_prepareValue(self,value):
        return value

    def _4ods_initValueValues(self):
        pass

    def _4ods_prepareValueChanges(self):
        pass


    def values(self):
        return self._values.values()

